Subject: Re: [ Regressions ] linux next 20201008: blk_update_request: I/O error, dev sda, sector 0 op 0x1:(WRITE) flags 0x800 phys_seg 0 prio class 0

From: "Martin K. Petersen" <[email-masked]>
Date: Thu, 08 Oct 2020 16:40:18 -0400

Christoph,

> On Thu, Oct 08, 2020 at 02:17:41PM -0600, Jens Axboe wrote:
>> Just for everyones edification, that would be these 9 patches from the
>> SCSI tree:
>
> I sent the fixes out a bit ago and Cced the reporters..

I do not have any libata-connected devices in the SCSI test setup so
things worked fine for me yesterday. I have a retired Nehalem server in
the rack which has a couple of ATA 500GB disk drives in it. I'll try to
see if I can add that to my test pool. Just for good measure.

In any case the fixes are now in my for-next branch:

b6ba9b0e201a scsi: core: Set sc_data_direction to DMA_NONE for no-transfer commands
9120ac54cce6 scsi: sr: Initialize ->cmd_len

-- 
Martin K. Petersen	Oracle Linux Engineering